5. `schemadoc` options
Prev |  | Next

## 5. `schemadoc` options

Usage:

    xmltool schemadoc schemadoc_options common_options schema doc_dir

Generate in directory `doc_dir` a reference manual in HTML format for schema file `schema`.

`Schema` must be a DTD having a "`.dtd`" extension or a W3C XML Schema having a "`.xsd`", "`.xs`" or "`.wxs`" extension or a RELAX NG schema having a "`.rng`" or "`.rnc`" (compact syntax) extension.

`doc_dir` is automatically created if it does not exist.

-css `css_url`

  Specifies the URL of the CSS style sheet used for the generated HTML.

  Default: generated HTML does not have a `<link rel="stylesheet">`.

-charset `encoding`

  Specifies the charset used for the generated HTML.

  Default: use platform default encoding and generated HTML does not have a`<meta http-equiv="Content-Type">`.

-xxe

  Generate annotations which are meaningful when using the schema with XMLmind XML Editor.

Example:

    /opt/xxe/demo$ xmltool schemadoc bugreport/bugreport.xsd /tmp/bugreport_doc
    /opt/xxe/demo$ ls /tmp/bugreport_doc
    a__6sv96.html
    abbr__79rrv.html
    ...
    index.html
    ...
    workaround__jus1.html

Prev |  | Next
4. `schematron` options | Home | 6. Common options